List all Account Numbers
curl --request GET \
--url https://api.sandbox.lead.bank/v1/account_number \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.lead.bank/v1/account_number"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.lead.bank/v1/account_number', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"objects": [
{
"id": "account_number_xyz",
"account_number": 123412341234,
"routing_number": 123456789,
"account_id": "account_xyz123",
"client_customer_id": "<your_customer_id>",
"entity_id": "entity_xyz123",
"status": "active",
"ach_controls": {
"originator_id": "originator_xyz123",
"incoming": {
"accept_credit": true,
"accept_debit": true,
"counterparty_filter": "accept_all",
"counterparty_company_ids_allowlist": [
1234567890
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
}
},
"wire_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"type": "us_domestic",
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing_international": {
"counterparty_filter": "accept_all",
"counterparty_international_account_numbers_allowlist": [
{
"business_identifier_code": "CHASUS33",
"account_identifier": {
"value": "GB29NWBK60161331926819"
}
}
]
}
},
"internal_transfer_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_number_ids_allowlist": [
"account_number_xyz123"
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_number_ids_allowlist": [
"account_number_xyz123"
]
}
},
"instant_payment_controls": {
"incoming": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"account_number": 123412341234,
"routing_number": 123412341234
}
]
},
"outgoing": {
"counterparty_filter": "accept_all",
"counterparty_account_numbers_allowlist": [
{
"account_number": 123412341234,
"routing_number": 123412341234
}
]
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}Account Number
List all Account Numbers
List all Account Numbers.
GET
/
v1
/
account_number
List all Account Numbers
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The ID of the account.
Pattern:
^account_\w+$The account number.
Maximum number of objects to be returned.
Required range:
1 <= x <= 100The ID of the account number to start the list after.
Pattern:
^account_number_\w+$The ID of the account number to end the list before.
Pattern:
^account_number_\w+$Was this page helpful?
⌘I

